<?php
//--------------------------------------------------------------------
// *** Xtratags ***
// LAST UPDATE: 2010/04/25
// Version    : 1.41
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// function.php
//
//--------------------------------------------------------------------

function xtratags($skin, $log) {
	$eid = $log["id"];

	if ($log["mes"]) {
		$twit = get_magic_quotes_gpc() ? stripslashes($log["mes"]) : $log["mes"];
		$twit = strip_tags($twit);
		$twit = mb_substr($twit, 0, 20).'…';
	}

	// 続き折りたたみ
	if ($log["more"]) {
		$more = get_magic_quotes_gpc() ? stripslashes($log["more"]) : $log["more"];
		$more = blogn_html_tag_restore($more);
		$more = blogn_IconStr($more);
		$more = blogn_permit_html_tag_restore($more);
		if (!$log["br_change"]) {
			$more = blogn_rntag2rn($more);
		}

		$continue = '<div id="+'.$eid.'" class="xt_contshow"><a href="URL" onclick=\'xt_readmore("'.$eid.'",1);return false\'>続きを読む ≫</a><noscript> （JavaScript を無効にしている方は<a href="index.php?e='.$eid.'">こちら</a>から）</noscript></div>
<div id="-'.$eid.'" class="xt_contmore">'.$more.'<br /><a href="URL" onclick=\'xt_readmore("'.$eid.'",0);return false\' class="xt_conthide">≪ 続きを隠す</a></div>';
	} else {
		$continue = "";
	}
	
	// カテゴリー・サブカテゴリー
	list($c1, $c2) = explode("|", $log["category"]);
	$cs = $c1.'-'.$c2;
	if (!$c1) $c1 = "0";
	if (!$c2) $c2 = "0";
	
	// ユーザーID
	$uid = $log["user_id"];
	
	// コメント数・トラックバック数
	if ($log["comment_ok"] == "1") {
		$comment_cnt = blogn_mod_db_comment_count_load($eid);
	} else {
		$comment_cnt[1] = "x";
	}
	if ($log["trackback_ok"] == "1") {
		$trackback_cnt = blogn_mod_db_trackback_count_load($eid);
	} else {
		$trackback_cnt[1] = "x";
	}
	
	$timestamp = mktime(substr($log["date"],8,2),substr($log["date"],10,2),substr($log["date"],12,2),substr($log["date"],4,2), substr($log["date"],6,2), substr($log["date"],0,4));
	$dotw = date("w", $timestamp);
	$month = date("n", $timestamp);

$lang = array (
	"month" => array (
		"jp" => array ( 1 => "睦月","如月","弥生","卯月","皐月","水無月","文月","葉月","長月","神無月","霜月","師走"),
		"cn" => array ( 1 => "一","ニ","三","四","五","六","七","八","九","十","十一","十二"),
		"kr" => array ( 1 => "01","02","03","04","05","06","07","08","09","10","11","12"),
		"de" => array ( 1 => "Januar","Februar","M&auml;rz","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember"),
		"es" => array ( 1 => "enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre"),
		"fr" => array ( 1 => "janvier","fevrier","mars","avril","mai","juin","juillet","aout","septembre","octobre","novembre","decembre"),
		"it" => array ( 1 => "Gennaio","Febbraio","Marzo","Aprile","Maggio","Giugno","Luglio","Agosto","Settembre","Ottobre","Novembre","Dicembre"),
	),
	"week" => array (
		"jp" => array ("日","月","火","水","木","金","土"),
		"cn" => array ("星期天","星期一","星期二","星期三","星期四","星期五","星期六"),
		"kr" => array ("&#51068;&#50836;&#51068;","&#xc6d4;&#xc694;&#xc77c;","&#54868;&#50836;&#51068;","&#49688;&#50836;&#51068;","&#47785;&#50836;&#51068;","&#44552;&#50836;&#51068;","&#53664;&#50836;&#51068;"),
		"de" => array ("Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"),
		"es" => array ("domingo","lunes","martes","miercoles","jueves","viernes","sabado"),
		"fr" => array ("dimanche","lundi","mardi","mercredi","jeudi","verdredi","samedi"),
		"it" => array ("domenica","lunedi","martedi","mercoledi","giovedi","venerdi","sabato"),
	)
);

	// スキン
	$skin = str_replace("{XT_LOG_EID}",  $eid, $skin);
	$skin = str_replace("{XT_LOG_CID}",  $c1,  $skin);
	$skin = str_replace("{XT_LOG_SID}",  $c2,  $skin);
	$skin = str_replace("{XT_LOG_CSID}", $cs,  $skin);
	$skin = str_replace("{XT_LOG_UID}",  $uid, $skin);
	
	$lang_from = array("{XT_LOG_DOTW}", "{XT_LOG_JDAY}", "{XT_LOG_KDAY}", "{XT_LOG_CDAY}", "{XT_LOG_FRDAY}", "{XT_LOG_DEDAY}", "{XT_LOG_ESDAY}", "{XT_LOG_ITDAY}", "{XT_LOG_JPMONTH}", "{XT_LOG_CNMONTH}", "{XT_LOG_KRMONTH}", "{XT_LOG_FRMONTH}", "{XT_LOG_DEMONTH}", "{XT_LOG_ESMONTH}", "{XT_LOG_ITMONTH}");
	$lang_to = array($dotw, $lang["week"]["jp"][$dotw], $lang["week"]["kr"][$dotw], $lang["week"]["cn"][$dotw], $lang["week"]["fr"][$dotw], $lang["week"]["de"][$dotw], $lang["week"]["es"][$dotw], $lang["week"]["it"][$dotw], $lang["month"]["jp"][$month], $lang["month"]["cn"][$month], $lang["month"]["kr"][$month], $lang["month"]["fr"][$month], $lang["month"]["de"][$month], $lang["month"]["es"][$month], $lang["month"]["it"][$month]);
	$skin = str_replace($lang_from, $lang_to, $skin);

	$skin = str_replace("{XT_LOG_ETITLE}", $log["title"], $skin);
	$skin = str_replace("{XT_LOG_CONT}", $continue, $skin);
	$skin = str_replace("{XT_LOG_MORE}", $more, $skin);
	$skin = str_replace("{XT_LOG_TWEET}", $twit, $skin);
	
	$skin = str_replace("{XT_LOG_CMT}", $comment_cnt[1], $skin);
	$skin = str_replace("{XT_LOG_TRK}", $trackback_cnt[1], $skin);

	// 記事評価モジュールとの連携
	if (strpos($skin, "{XT_LOG_RATEIT_")) {
		if (function_exists(blogn_mod_rateit_output)) {
			$rateit_output = blogn_mod_rateit_output($eid);
			$skin = str_replace("{XT_LOG_RATEIT_ST}", blogn_mod_rateit_convert_average($rateit_output[0]), $skin);
			$skin = str_replace("{XT_LOG_RATEIT_NO}", $rateit_output[1], $skin);
		}
	}

	// OnThisDay との連携
	if (strpos($skin, "{XT_LOG_OTD_MAIN}")) {
		if (function_exists(blogn_mod_onthisday_main)) {
			global $blogn_mod_xtratags_user;
			$skin = blogn_mod_onthisday_main($eid, $skin, "{XT_LOG_OTD_MAIN}", "", $blogn_mod_xtratags_user);
		} else {
			$skin = str_replace("{XT_LOG_OTD_MAIN}", "", $skin);
		}
	}

	// METAGEN との連携
	if (strpos($skin, "{XT_LOG_METADESC}")) {
		$blogn_mod_metagen_datafile = BLOGN_MODDIR.'metagen/data/'.$eid.'.cgi';
		if (file_exists($blogn_mod_metagen_datafile)) {
			$blogn_mod_metagen_metas = file($blogn_mod_metagen_datafile);
			$skin = str_replace("{XT_LOG_METADESC}", rtrim($blogn_mod_metagen_metas[1]), $skin);
		} else {
			$skin = str_replace("{XT_LOG_METADESC}", "", $skin);
		}
	}
	return $skin;
}

?>
