<?php
//--------------------------------------------------------------------
// *** Xtratags ***
// LAST UPDATE: 2010/04/25
// Version    : 1.41
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// control.php
//
//--------------------------------------------------------------------

$module_version = "1.41";

global $blogn_admin;
if (!$blogn_admin) exit;

$menu = array(1 => "独自タグ", "インストール", "モジュール情報");
$loadtabs = "1";

include BLOGN_MODDIR.$module_name.'/menu.php';

echo $js.'
<div class="blogn_main">

<div'.formatStyle($style["wrapper"]).'>
<h1'.formatStyle($style["mod_title"]).'>タグ拡張モジュール (ver'.$module_version.')</h1>

<!-- LEFT -->
<div'.formatStyle($style["coll"]).'>
<h2'.formatStyle($style["coll_h2"]).'>メニュー</h2>
<ul'.formatStyle($style["coll_ul"]).'>';

module_control_list($menu);

echo '
</ul>
<noscript><p'.formatStyle($style["nojs"]).'>※ Javascript 無効<br />メニュー内のテキストリンクは機能しないので、● をクリックしてナビゲートしてください。</p></noscript>
<p'.formatStyle($style["credit"]).'>Powered by<br /><a href="http://i-njoy.net/blog/" target="_blank"'.formatStyle($style["credit_a"]).'>nJOY BLOG</a></p>
</div>
 
<!-- RIGHT -->
<div'.formatStyle($style["colr"]).'>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("独自タグ", $menu).'">
<div class="blogn_bar">独自タグ</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>このモジュールで使える独自タグ</h2>

<h3'.formatStyle($style["mod_h3"]).'>■ 記述する場所を選ばないタグ</h3>
<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="120">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{XT_MODE}</td><td>ログインモードの時は「user」と出力<br />ゲストモードの時は「guest」と出力</td><td>-</td></tr>
</table>

<h3'.formatStyle($style["mod_h3"]).'>■ {LOGLOOP]～{/LOGLOOP} 内に書く必要のあるタグ</h3>
<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="120">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{XT_LOG_EID}</td><td>記事の記事IDを出力</td><td>-</td></tr>
<tr><td>{XT_LOG_CID}</td><td>記事が属するカテゴリーIDを出力</td><td>-</td></tr>
<tr><td>{XT_LOG_SID}</td><td>記事が属するサブカテゴリーIDを出力</td><td>*1</td></tr>
<tr><td>{XT_LOG_CSID}</td><td>記事が属するカテゴリーとサブカテゴリーIDを出力</td><td>*2</td></tr>
<tr><td>{XT_LOG_UID}</td><td>記事を書いたユーザーIDを出力</td><td>-</td></tr>
<tr><td>{XT_LOG_CMT}</td><td>記事のコメント数を出力</td><td>-</td></tr>
<tr><td>{XT_LOG_TRK}</td><td>記事のトラックバック数を出力</td><td>-</td></tr>
<tr><td>{XT_LOG_ETITLE}</td><td>記事のタイトルを出力 </td><td>*3</td></tr>
<tr><td>{XT_LOG_MORE}</td><td>「記事の続き」を出力</td><td>-</td></tr>
<tr><td>{XT_LOG_TWEET}</td><td>「記事の本文」の頭から20文字を抜きだして出力</td><td>-</td></tr>

<tr><td>{XT_LOG_JDAY}</td><td>曜日を日本語で出力（日～土）</td><td>*4</td></tr>
<tr><td>{XT_LOG_CDAY}</td><td>曜日を中国語で出力（星期天～星期六）</td><td>*4</td></tr>
<tr><td>{XT_LOG_KDAY}</td><td>曜日を韓国語で出力 </td><td>*4 *5</td></tr>
<tr><td>{XT_LOG_DEDAY}</td><td>曜日をドイツ語で出力（Sonntag～Samstag）</td><td>*4</td></tr>
<tr><td>{XT_LOG_ESDAY}</td><td>曜日をスペイン語で出力（domingo～sabado）</td><td>*4</td></tr>
<tr><td>{XT_LOG_FRDAY}</td><td>曜日をフランス語で出力（dimanche～samedi）</td><td>*4</td></tr>
<tr><td>{XT_LOG_ITDAY}</td><td>曜日をイタリア語で出力（domenica～sabato）</td><td>*4</td></tr>
<tr><td>{XT_LOG_DOTW}</td><td>曜日を番号で出力（0～6）</td><td>*4</td></tr>

<tr><td>{XT_LOG_JPMONTH}</td><td>月を日本語で出力（睦月～師走）</td><td>*4</td></tr>
<tr><td>{XT_LOG_CNMONTH}</td><td>月を漢数字で出力（ー～十二）</td><td>*4</td></tr>
<tr><td>{XT_LOG_DEMONTH}</td><td>月をドイツ語で出力（Januar～Dezember）</td><td>*4</td></tr>
<tr><td>{XT_LOG_ESMONTH}</td><td>月をスペイン語で出力（enero～diciembre）</td><td>*4</td></tr>
<tr><td>{XT_LOG_FRMONTH}</td><td>月をフランス語で出力（janvier～decembre）</td><td>*4</td></tr>
<tr><td>{XT_LOG_ITMONTH}</td><td>月をイタリア語で出力（Gennaio～Dicembre）</td><td>*4</td></tr>
</table>

<h3'.formatStyle($style["mod_h3"]).'>■ 「続きを読む」折りたたみ用のタグ</h3>
<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="120">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{XT_LOG_CONT}</td><td>折りたたみ用に「記事の続き」を出力</td><td>-</td></tr>
<tr><td>{XT_CSS_CONT}</td><td>折りたたまれた文書の表示を制御するスタイルシート </td><td>*6</td></tr>
</table>

<h3'.formatStyle($style["mod_h3"]).'>■ 記事評価モジュール用タグ（{LOGLOOP]～{/LOGLOOP} 内に書く）</h3>
<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="120">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{XT_LOG_RATEIT_ST}</td><td>平均評価を表示</td><td>*7</td></tr>
<tr><td>{XT_LOG_RATEIT_NO}</td><td>評価数を表示</td><td>*7</td></tr>
</table>

<h3'.formatStyle($style["mod_h3"]).'>■ OnThisDay 用タグ（{LOGLOOP]～{/LOGLOOP} 内に書く）</h3>
<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="120">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{XT_LOG_OTD_MAIN}</td><td>記事別表示以外で「n年前の記事」を表示 </td><td>*8</td></tr>
</table>

<h3'.formatStyle($style["mod_h3"]).'>■ キーワード＋概要生成モジュール用タグ（{LOGLOOP]～{/LOGLOOP} 内に書く）</h3>
<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="120">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{XT_LOG_METADESC}</td><td>ブログに概要を表示</td><td>*9</td></tr>
</table>

<h3'.formatStyle($style["mod_h3"]).'>* 補足</h3>
<ol'.formatStyle($style["mod_list"]).'>
<li>メインカテゴリーだけでサブカテゴリーに属さない場合は『0』</li>
<li>{XT_LOG_CID}-{XT_LOG_SID} では『1-0』になるような場合、{XT_LOG_CSID} だと『1-』と出力</li>
<li>{LOGTITLE} とは違い個別記事へリンクしません</li>
<li>{LOGYMD}～{/LOGYMD} および {LOGHMS}～{/LOGHMS} の中に記述する場合は、一部の文字をエスケープする必要があります。<br />エスケープの仕方は<a href="http://i-njoy.net/tips/plus_xtg.shtml">解説ページ</a>を参照。</li>
<li>スキンで &lt;html lang="ja"&gt; となっている場合は &lt;html&gt; と変更してください（Internet Explorer の文字化け対策）</li>
<li>スキンの CSS ファイルではなく、HTML ファイルの方に記述してください。</li>
<li>別途「<a href="http://i-njoy.net/tips/plus_rtt.shtml" target="_blank">記事評価モジュール</a>」がインストールされている必要があります。</li>
<li>別途「<a href="http://i-njoy.net/tips/plus_otd.shtml" target="_blank">OnThisDay for BlognPlus</a>」がインストールされている必要があります。</li>
<li>別途「<a href="http://i-njoy.net/tips/plus_mtg.shtml" target="_blank">キーワード＋概要生成モジュール</a>」がインストールされている必要があります。</li>
</ol>

<p'.formatStyle($style["mod_p"]).'>※ 記事折りたたみの方法は『<a href="http://i-njoy.net/tips/plus_mre.shtml">BlognPlus で「続きを読む」を折りたたむ</a>』を参照。</p>

</div>
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("インストール", $menu).'">
<div class="blogn_bar">インストール</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>インストール方法</h2>
<ol'.formatStyle($style["mod_list"]).'>
<li>「index.php」を改造する。</li>
<li>スキンの HTML ファイルに独自タグを追加する。</li>
'.$mod_control["co_start"].'<li>必要に応じてモジュール管理画面から動作スイッチを ON にする必要があります。</li>'.$mod_control["co_end"].'
</ol>

<h3'.formatStyle($style["mod_h3"]).'>■ 「index.php」の改造</h3>
	<p'.formatStyle($style["mod_p"]).'>「index.php」1177行目（BlognPlus v2.5.6）/ 970行目あたり（BlognPlus v2.6.2）辺りに以下の通りに<b'.formatStyle($style["red"]).'>赤文字部分</b>を追加する。</p>
	<pre'.formatStyle($style["pre"]).'>
}else{ 
	$logtrackback = $t.&#39;(x)&#39;; 
} 
$tmpbuf = str_replace ("{LOGTRACKBACK}", $logtrackback, $tmpbuf); 

<b'.formatStyle($style["red"]).'>if (function_exists(xtratags)) $tmpbuf = xtratags($tmpbuf, $val);</b>

if ($val["trackback_ok"] == "1") { 
	$about = BLOGN_HOMELINK."index.php?e=".$val["id"]; 
	$identifier = $about; 
	</pre>

</div>
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("モジュール情報", $menu).'">
<div class="blogn_bar">モジュール情報</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>公式サイト</h2>
<p'.formatStyle($style["mod_p"]).'>もっと詳しい情報や最新版モジュールのダウンロードは「<a href="http://i-njoy.net/tips/plus_xtg.shtml" target="_blank">タグ拡張モジュール</a>」の解説ページからどうぞ。</p>
<p'.formatStyle($style["mod_p"]).'>最新情報は「<a href="http://i-njoy.net/blog/" target="_blank">nJOY BLOG</a>」から入手できます。</p>

<h2'.formatStyle($style["mod_h2"]).'>モジュール構成ファイル</h2>
<ul'.formatStyle($style["package"]).'>
<li'.formatStyle($style["pack_0"]).'>+ blognplus /</li>
<li'.formatStyle($style["pack_1"]).'>+ module /</li>
<li'.formatStyle($style["pack_2"]).'>+ xtratags /</li>
<li'.formatStyle($style["pack_3"]).'>- blank.php</li>
<li'.formatStyle($style["pack_3"]).'>- control.php</li>
<li'.formatStyle($style["pack_3"]).'>- function.php</li>
<li'.formatStyle($style["pack_3"]).'>- index.html</li>
<li'.formatStyle($style["pack_3"]).'>- info.php</li>
<li'.formatStyle($style["pack_3"]).'>- install.php</li>
<li'.formatStyle($style["pack_3"]).'>- menu.php</li>
<li'.formatStyle($style["pack_3"]).'>- style.php</li>
<li'.formatStyle($style["pack_3"]).'>- uninstall.php</li>
<li'.formatStyle($style["pack_3"]).'>- update.php</li>
</ul>

'.$mod_control["co_start"].'
<h2'.formatStyle($style["mod_h2"]).'>動作 ON/OFF</h2>
<p'.formatStyle($style["mod_p"]).'>モジュールをインストール後に、動作のオン・オフを切り替える必要があります。</p>
<dl'.formatStyle($style["mod_dl"]).'>
<dt>PC</dt><dd>PC 用スキンに独自タグを記述した場合、「PC」欄を <img src="images/on.gif" width="20" height="20" alt="ON" /> にしてください。</dd>
<dt>携帯</dt><dd>携帯 用スキンに独自タグを記述した場合、「携帯」欄 を <img src="images/on.gif" width="20" height="20" alt="ON" /> にしてください。</dd>
</dl>

<h2'.formatStyle($style["mod_h2"]).'>優先順位</h2>
<p'.formatStyle($style["mod_p"]).'>特に制限はありません。</p>
'.$mod_control["co_end"].'

<h2'.formatStyle($style["mod_h2"]).'>その他の情報</h2>
<p'.formatStyle($style["mod_p"]).'>「タグ拡張モジュール」は以下のモジュールの機能を拡張する事ができます。</p>
<ul'.formatStyle($style["mod_list"]).'>
<li><a href="http://i-njoy.net/tips/plus_rtt.shtml" target="_blank">記事評価モジュール</a></li>
<li><a href="http://i-njoy.net/tips/plus_otd.shtml" target="_blank">OnThisDay for BlognPlus</a></li>
<li><a href="http://i-njoy.net/tips/plus_mtg.shtml" target="_blank">キーワード＋概要生成モジュール</a></li>
</ul>

</div>
<hr'.formatStyle($style["hr"]).' />
</div>

</div>
</div>
</div>';

?>
