<?php
//--------------------------------------------------------------------
// *** Xtratags ***
// LAST UPDATE: 2009/05/30
// Version    : 1.31
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// style.php
//
//--------------------------------------------------------------------

$style = array();

$style["wrapper"] = array("wrapper", "
	margin:				0;
	padding:			0;
");

$style["mod_title"] = array("mod-title", "
	font-size:			150%;
	text-align:			center;
");

// メニューバー（左カラム）
$style["coll"] = array("coll", "
	width:				150px;
	float:				left;
	border:				5px solid #aaaaaa;
	margin-left:		-45px;
	position:			fixed !important;
	position:			absolute;
	left:				50px;
	background-color:	#ffffff;
");

$style["coll_h2"] = array("coll-h2", "
	font-size:			130%;
	text-align:			center;
	border-bottom:		1px solid #aaaaaa;
	padding:			10px;
	background-color:	#e9e9e9;
	margin:				0;
");

$style["coll_ul"] = array("coll-ul", "
	line-height:		20px;
	list-style-type:	none;
	padding-left:		20px;
	margin-left:		0;
");

$style["visited"] = array("coll-ul a:visited", "
		color:			#0000ff;
");

// メイン（右カラム）
$style["colr"] = array("colr", "
	margin-left:		100px;
	padding-left:		20px
");

$style["nojs"] = array("nojs", "
	margin:			1em;
");

$style["pre"] = array("code", "
	border: 			1px solid #cccccc;
	padding:			1em;
	margin:				1em 2em 1em 2em;
	overflow:			scroll !important;
	overflow:			hidden;
	width:				80%;
	max-width:			80%;
");

$style["credit"] = array("credit", "
	text-align:			center;
	line-height:		200%;
");

$style["credit_a"] = array("credit-a", "
	background-color:	#ffaa00;
	padding:			5px;
	font-weight:		bold;
	color:				#ffff00;
	text-decoration:	none;
");

$style["hr"] = array("divider", "
	margin:				3em 0;
");

$style["mod"] = array("mod", "
	border:				1px solid #aaaaaa;
	width:				95%;
	padding:			2em 1em;
");

$style["red"] = array("red", "
	color:				#ff0000;
");

$style["blue"] = array("blue", "
	color:				#0000ff;
");

$style["mod_h2"] = array("mod-h2", "
	font-size:			120%;
	margin:				1em 0;
");

$style["mod_h3"] = array("mod-h3", "
	font-size:			110%;
");

$style["mod_p"] = array("mod-p", "
	margin-left:		1em;
	line-height:		120%;
");

$style["mod_list"] = array("mod-list", "
	line-height:		120%;
");

$style["mod_table"] = array("mod-table", "
	margin:				0 0 1em 1em;
");

$style["package"] = array("package", "
	list-style-type:	none;
	border:				1px solid #808080;
	background-color:	#ffffff;
	padding:			10px 10px 10px 2em;
	width:				25em;
	font-family:		monospace;
	margin-left:		2em;
");

$style["pack_0"] = array("pack-0", "
	margin-left:		0;
");

$style["pack_1"] = array("pack-1", "
	margin-left:		2em;
");

$style["pack_2"] = array("pack-2", "
	margin-left:		4em;
	font-weight:		bold;
	background-color:	#ffff99;
");

$style["pack_3"] = array("pack-3", "
	margin-left:		6em;
");

$style["pack_4"] = array("pack-4", "
	margin-left:		8em;
");

$style["button"] = array("button", "
	margin:			0.5em;
");

$style["message"] = array("message", "
	color:				#ff0000;
");

$style["red"] = array("red", "
	color:				#ff0000;
");

$style["mod_dl"] = array("mod-dl", "
	margin-left:		2em;
");

$style["onoff"] = array("mod-dl img", "
	vertical-align:		middle;
");

// ここからモジュール専用スタイル


/* STYLE 出力 */
// $php != true の場合、外部スタイルシートとして出力
if (!$php) {
	header("Content-type: text/css");
	while (list($key, $val) = each($style)) {
		echo ".".$val[0]." {".$val[1]."}\r\n";
	}
}	

?>
